Name:           python-dcor-control
Version:        0.12.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        CLI for maintaining DCOR installations

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/DCOR-dev/dcor_control
Source:         %{pypi_source dcor_control}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dcor-control' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dcor-control
Summary:        %{summary}

%description -n python3-dcor-control %_description


%prep
%autosetup -p1 -n dcor_control-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dcor-control -f %{pyproject_files}


%changelog
%autochangelog